Bug 1460596 - please don't pass -k/--insecure to curl when using SSL/TLS
please don't pass -k/--insecure to curl when using SSL/TLS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs API Guide (Show other bugs)
6.2.10
Unspecified Unspecified
medium Severity medium (vote)
: 6.2.11
: 6.2
Assigned To: Sergei Petrosian
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 03:05 EDT by Evgeni Golov
Modified: 2017-06-20 08:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-16 05:57:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgeni Golov 2017-06-12 03:05:21 EDT
Document URL:
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.2/html/api_guide/authenticating_api_calls#Authenticating_API_Calls-Using_SSL_Authentication

Section Number and Name: 
3.1. Using SSL Authentication

Describe the issue: 
The section suggests to call "curl … -k … --cacert katello-server-ca.crt" when talking to the API via TLS. However -k means --insecure and thus curl will ignore the given cacert. Please remove the "-k" to actually check the certificate.

Suggestions for improvement:
The curl line should read:
curl -X GET -u sat_username:sat_password \
-H "Accept:application/json" --cacert katello-server-ca.crt \
https://satellite6.example.com/katello/api/organizations

Additional information: 
IMHO "-X GET" is also not needed here and only confuses the reader.
Comment 1 Andrew Dahms 2017-06-12 04:22:43 EDT
Assigning to Sergei for review.
Comment 15 Sergei Petrosian 2017-06-16 05:57:52 EDT
These changes are now live on the Custom Portal.

Thank you

Note You need to log in before you can comment on or make changes to this bug.